nu.xom.xinclude

## Class NoIncludeLocationException

- Object
- - Throwable
  - - Exception
    - - nu.xom.xinclude.XIncludeException
      - - nu.xom.xinclude.NoIncludeLocationException

- All Implemented Interfaces:
    Serializable

      public class NoIncludeLocationException
      extends XIncludeException

  Indicates that an `xinclude:include` element has neither an `href` attribute nor an `xpointer` attribute.

  Version:
    1.1b3
  Author:
    Elliotte Rusty Harold
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoIncludeLocationException(String message)` Constructs a `NoIncludeLocationException` with the specified message.
    `NoIncludeLocationException(String message, String uri)` Creates a new `NoIncludeLocationException` with a detail message, line and column numbers, and a URI of the document that caused the exception.
    `NoIncludeLocationException(String message, Throwable cause)` Constructs a `NoIncludeLocationException` with the specified detail message and root cause.

  - ### Method Summary

    - ### Methods inherited from class nu.xom.xinclude.XIncludeException

      `getCause, getURI, initCause`

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoIncludeLocationException

          public NoIncludeLocationException(String message)

      Constructs a `NoIncludeLocationException` with the specified message.

      Parameters:
        `message` - a string indicating the specific problem

    - #### NoIncludeLocationException

          public NoIncludeLocationException(String message,
                                            Throwable cause)

      Constructs a `NoIncludeLocationException` with the specified detail message and root cause.

      Parameters:
        `message` - a string indicating the specific problem
        `cause` - the initial exception that caused this `NoIncludeLocationException`

    - #### NoIncludeLocationException

          public NoIncludeLocationException(String message,
                                            String uri)

      Creates a new `NoIncludeLocationException` with a detail message, line and column numbers, and a URI of the document that caused the exception.

      Parameters:
        `message` - a string indicating the specific problem
        `uri` - the URI of the document that caused this exception

Copyright 2002-2026 Elliotte Rusty Harold
elharo@ibiblio.org